Bug 907875 - Invalid output when deleting a subnet with a port attached
Invalid output when deleting a subnet with a port attached
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-quantum (Show other bugs)
2.0 (Folsom)
Unspecified Unspecified
unspecified Severity unspecified
: snapshot3
: 2.1
Assigned To: Gary Kotton
Ofer Blaut
: Rebase, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-05 07:53 EST by Gary Kotton
Modified: 2016-04-26 09:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-28 10:41:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1093754 None None None Never

  None (edit)
Description Gary Kotton 2013-02-05 07:53:01 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 3 Ofer Blaut 2013-02-18 06:03:39 EST
User can NOT delete network or subnets used by VM,
he can delete subnets onm the same network but no VM is using them


+--------------------------------------+------+--------------------------------------+
| id                                   | name | subnets                              |
+--------------------------------------+------+--------------------------------------+
| 3991fec8-d178-47d3-8f54-72def3d889f8 | net1 | f763bf5e-d50e-4b14-ba5a-bbb91a4ce75d |
|                                      |      | e0043c88-678e-48a0-a0af-27fb0fcc0e48 |
|                                      |      | 5027c803-60b9-482f-8fd6-dbea4967b848 |
|                                      |      | a10ad01c-4fa7-414a-9d5c-f6f620de96ba |
|                                      |      | 7c1a95ba-96f1-4606-a59f-32652edc4a46 |
|                                      |      | 00294f34-b539-4c3b-8747-eef43cfdcd34 |
|                                      |      | 1ca4e943-b99a-4ab0-8b06-39756c34908f |
| 45f21128-8c5a-4560-a57d-194f0aaa63e2 | ofer |                                      |
+--------------------------------------+------+--------------------------------------+
[root@puma34 ~(keystone_admin)]$ nova list
+--------------------------------------+----------+--------+----------------+
| ID                                   | Name     | Status | Networks       |
+--------------------------------------+----------+--------+----------------+
| c4c6f7e3-9d8f-447b-9c8d-7e8d926518dd | VM-FED17 | ACTIVE | net1=55.55.1.3 |
+--------------------------------------+----------+--------+----------------+
[root@puma34 ~(keystone_admin)]$ nova show c4c6f7e3-9d8f-447b-9c8d-7e8d926518dd 
+-------------------------------------+----------------------------------------------------------+
| Property                            | Value                                                    |
+-------------------------------------+----------------------------------------------------------+
| OS-DCF:diskConfig                   | MANUAL                                                   |
| OS-EXT-SRV-ATTR:host                | puma34.scl.lab.tlv.redhat.com                            |
| OS-EXT-SRV-ATTR:hypervisor_hostname | puma34.scl.lab.tlv.redhat.com                            |
| OS-EXT-SRV-ATTR:instance_name       | instance-00000007                                        |
| OS-EXT-STS:power_state              | 1                                                        |
| OS-EXT-STS:task_state               | None                                                     |
| OS-EXT-STS:vm_state                 | active                                                   |
| accessIPv4                          |                                                          |
| accessIPv6                          |                                                          |
| config_drive                        |                                                          |
| created                             | 2013-02-18T08:09:01Z                                     |
| flavor                              | m1.tiny (1)                                              |
| hostId                              | 7305de4d8e6d600a78f8b696e4188944ad04e8f3d4ee3eedec3dae2e |
| id                                  | c4c6f7e3-9d8f-447b-9c8d-7e8d926518dd                     |
| image                               | Fedora17-image (d07eb2b8-ab0d-4ee7-801c-029aebeac43a)    |
| key_name                            | None                                                     |
| metadata                            | {}                                                       |
| name                                | VM-FED17                                                 |
| net1 network                        | 55.55.1.3                                                |
| ofer network                        |                                                          |
| progress                            | 0                                                        |
| security_groups                     | [{u'name': u'default'}]                                  |
| status                              | ACTIVE                                                   |
| tenant_id                           | 85cb49f7ab1b4f4d89c33c07b74a967d                         |
| updated                             | 2013-02-18T08:09:10Z                                     |
| user_id                             | 5af96d26f48a4ebbbc2860bae4502fe6                         |
+-------------------------------------+----------------------------------------------------------+

[root@puma34 ~(keystone_admin)]$ quantum net-delete 3991fec8-d178-47d3-8f54-72def3d889f8

Unable to complete operation on network 3991fec8-d178-47d3-8f54-72def3d889f8. There is one or more ports still in use on the network.
[root@puma34 ~(keystone_admin)]$ quantum subnet-delete 1ca4e943-b99a-4ab0-8b06-39756c34908f

Deleted subnet: 1ca4e943-b99a-4ab0-8b06-39756c34908f
[root@puma34 ~(keystone_admin)]$ quantum subnet-delete f763bf5e-d50e-4b14-ba5a-bbb91a4ce75d 

Unable to complete operation on subnet f763bf5e-d50e-4b14-ba5a-bbb91a4ce75d. One or more ports have an IP allocation from this subnet.

[root@puma34 ~(keystone_admin)]$ quantum subnet-delete e0043c88-678e-48a0-a0af-27fb0fcc0e48

Deleted subnet: e0043c88-678e-48a0-a0af-27fb0fcc0e48

python-quantumclient-2.1.10-3.el6ost.noarch
openstack-quantum-2012.2.3-3.el6ost.noarch

Note You need to log in before you can comment on or make changes to this bug.